﻿
@model CepSal.ViewModels.vmOpcionDetalle


<form data-ajax="true"
      asp-action="AgregarEditarOpcionDetalle"
      asp-antiforgery="true"
      role="form" data-ajax-update="#tablaOpcionDetalle"
      data-ajax-success="ExitoGuardar"
      class="">
    @await Html.PartialAsync("_ModalHeader", new CabeceraModal { Heading = Model.IODtlle == 0 ? "Agregar opción detalle" : "Editar opción detalle", Color = Codigos.ColorModal.Neutro })
    <div asp-validation-summary="ModelOnly">
        <span>Por favor corrija los siguientes errores: </span>
    </div>
    <div class="modal-body">
        <div class="">
            <div class="form-group hidden">
                <label asp-for="nId" class="control-label"></label>
                <input asp-for="nId" class="form-control" />
                <span asp-validation-for="nId" class="text-danger"></span>
            </div>
            <div class="form-group hidden">
                <label asp-for="ISstma" class="control-label"></label>
                <input asp-for="ISstma" class="form-control" />
                <span asp-validation-for="ISstma" class="text-danger"></span>
            </div>
            <div class="form-group hidden">
                <label asp-for="IMdlo" class="control-label"></label>
                <input asp-for="IMdlo" class="form-control" />
                <span asp-validation-for="IMdlo" class="text-danger"></span>
            </div>
            <div class="form-group hidden">
                <label asp-for="IOpcn" class="control-label"></label>
                <input asp-for="IOpcn" class="form-control" />
                <span asp-validation-for="IOpcn" class="text-danger"></span>
            </div>
            <div class="form-group hidden">
                <label asp-for="IODtlle" class="control-label"></label>
                <input asp-for="IODtlle" class="form-control" disabled="disabled" />
                <span asp-validation-for="IODtlle" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Nmbre" class="control-label"></label>
                <input asp-for="Nmbre" class="form-control" />
                <span asp-validation-for="Nmbre" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="CEstdo" class="control-label"></label>
                <select asp-for="CEstdo" asp-items="@(new SelectList(Model.Estados, "value", "name", Model.CEstdo))" class="form-control">
                    <option value="">- Seleccione -</option>
                </select>
                <span asp-validation-for="CEstdo" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="FEstdo" class="control-label"></label>
                <input asp-for="FEstdo" class="form-control" />
                <span asp-validation-for="FEstdo" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="FActlzcn" class="control-label"></label>
                <input asp-for="FActlzcn" class="form-control" disabled />
                <span asp-validation-for="FActlzcn" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="UActlzcn" class="control-label"></label>
                <input asp-for="UActlzcn" class="form-control" disabled />
                <span asp-validation-for="UActlzcn" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="FCrcn" class="control-label"></label>
                <input asp-for="FCrcn" class="form-control" disabled />
                <span asp-validation-for="FCrcn" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="UCrcn" class="control-label"></label>
                <input asp-for="UCrcn" class="form-control" disabled />
                <span asp-validation-for="UCrcn" class="text-danger"></span>
            </div>
        </div>
    </div>
    @await Html.PartialAsync("_ModalFooter", new PieModal { })
</form>
